# Get Compliance Records

`GET https://api.agilitycredit.net/v3/compliance`

Docs page: https://apidocs.agilitycredit.com/api/get-compliance-all · Tag: Compliance

This endpoint allows users to retrieve all compliance data corresponding to both main and co-applicant.

Authentication: `Authorization: Bearer <api key>`.

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `Idempotency-Key` | header | yes | A unique, idempotent key. We recommend to use a guid |
| `Agc-Tenant-Id` | header | yes | The tenant ID provided by Agility Credit. |
| `Agc-User-Id` | header | yes | The requestor user ID. |
| `Agc-Applicant-Id` | header | yes | Applicant ID - this cannot be empty |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Compliance data request processed successfully. | ComplianceAllResponse |
| 400 | Bad Request | BadRequestApplicantResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 429 | Too Many Requests | TooManyRequestsResponse |
| 500 | Internal Server Error | AgilityServerErrorResponse |
Top-level 200 fields: `applicant_main`, `applicant_co`.

### Error bodies

400:

```json
{
  "status": "Bad Request - Validation Failed",
  "error": "Header must contain non-empty agc-applicant-id"
}
```

401:

```json
{
  "message": "Unauthorized"
}
```

429:

```json
{
  "error": "Too Many Requests"
}
```

500:

```json
{
  "message": "Agility Server Error"
}
```
